Subject: [bug#53676] [PATCH 2/5] services/sound: Normalize pulseaudio-configuration accessor names.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 01 Feb 2022 15:18:30 -0500

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 31.01.2022 um 23:19 -0500 schrieb Maxim Cournoyer:
>> * gnu/services/sound.scm (<pulseaudio-configuration>): Adjust getter
>> names to match convention.
>> ---
>>  gnu/services/sound.scm | 9 +++++----
>>  1 file changed, 5 insertions(+), 4 deletions(-)
>> 
>> diff --git a/gnu/services/sound.scm b/gnu/services/sound.scm
>> index 7beca35ffe..19eccfc860 100644
>> --- a/gnu/services/sound.scm
>> +++ b/gnu/services/sound.scm
>> @@ -2,6 +2,7 @@
>>  ;;; Copyright © 2018, 2020 Oleg Pykhalov <[email-masked]>
>>  ;;; Copyright © 2020 Liliana Marie Prikler
>> <[email-masked]>
>>  ;;; Copyright © 2020 Marius Bakke <[email-masked]>
>> +;;; Copyright © 2022 Maxim Cournoyer <[email-masked]>
>>  ;;;
>>  ;;; This file is part of GNU Guix.
>>  ;;;
>> @@ -115,16 +116,16 @@ (define alsa-service-type
>>  (define-record-type* <pulseaudio-configuration>
>>    pulseaudio-configuration make-pulseaudio-configuration
>>    pulseaudio-configuration?
>> -  (client-conf pulseaudio-client-conf
>> +  (client-conf pulseaudio-configuration-client-conf
>>                 (default '()))
>> -  (daemon-conf pulseaudio-daemon-conf
>> +  (daemon-conf pulseaudio-configuration-daemon-conf
>>                 ;; Flat volumes may cause unpleasant experiences to
>> users
>>                 ;; when applications inadvertently max out the system
>> volume
>>                 ;; (see e.g. <https://bugs.gnu.org/38172>).
>>                 (default '((flat-volumes . no))))
>> -  (script-file pulseaudio-script-file
>> +  (script-file pulseaudio-configuration-script-file
>>                 (default (file-append pulseaudio
>> "/etc/pulse/default.pa")))
>> -  (system-script-file pulseaudio-system-script-file
>> +  (system-script-file pulseaudio-configuration-system-script-file
>>                        (default
>>                          (file-append pulseaudio
>> "/etc/pulse/system.pa"))))
> I don't see calling code adjusted anywhere.  Is this because we only
> use match to access this records fields?

The bindings are not public, so they shouldn't be used elsewhere;
internally only match seems to be used yes.

> On a related note, would it make sense to port this over to (define-
> configuration)?

Agreed.  I'd prefer to keep this effort separate from this series
though.  Also, I still want to take some time to review the newly
introduced Guix records sanitizers; I feel they should perhaps be
leveraged in define-configuration (part of the appeal of
define-configuration is serialization, the other part being input
validation, which is what sanitizers seem to be designed for).

Maxim